Skip to main content
POST
/
payments
/
v1
/
cards
/
process
Submit Card Details
curl --request POST \
  --url https://sandbox-api.payfonte.com/payments/v1/cards/process \
  --header 'Content-Type: application/json' \
  --header 'client-id: <api-key>' \
  --header 'client-secret: <api-key>' \
  --data '
{
  "provider": "card-nigeria",
  "amount": 50000,
  "card": {
    "pan": "5061 4604 1012 1111 102",
    "expiry": {
      "month": "12",
      "year": "2050"
    },
    "cvv": "558",
    "cardHolderName": "Emily Heidenreich-Kohler"
  }
}
'
import requests

url = "https://sandbox-api.payfonte.com/payments/v1/cards/process"

payload = {
    "provider": "card-nigeria",
    "amount": 50000,
    "card": {
        "pan": "5061 4604 1012 1111 102",
        "expiry": {
            "month": "12",
            "year": "2050"
        },
        "cvv": "558",
        "cardHolderName": "Emily Heidenreich-Kohler"
    }
}
headers = {
    "client-id": "<api-key>",
    "client-secret": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'client-id': '<api-key>',
    'client-secret': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    provider: 'card-nigeria',
    amount: 50000,
    card: {
      pan: '5061 4604 1012 1111 102',
      expiry: {month: '12', year: '2050'},
      cvv: '558',
      cardHolderName: 'Emily Heidenreich-Kohler'
    }
  })
};

fetch('https://sandbox-api.payfonte.com/payments/v1/cards/process', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "statusCode": 200, "data": { "reference": "DCD20260701133425EIQWF", "action": "pin", "data": {} } }

Authorizations

client-id
string
header
required
client-secret
string
header
required

Body

application/json

Card payment request

provider
string
required

Card provider slug.

Example:

"card-nigeria"

amount
integer<int64>
required

Amount should be sent in the lowest denomination.

Example:

100000

card
object
required

Response

Card payment requires the customer PIN or verification.

statusCode
integer
required

Application status code returned in the response body.

Example:

200

data
object
required